Semisecure Login Reimagined

"Re-imagined" version of Semisecure Login that uses public and secret-key encryption to encrypt passwords when logging in.

Author:moggy (profile at wordpress.org)
WordPress version required:3.1
WordPress version tested:3.1.4
Plugin version:3.2.0
Added to WordPress repository:31-05-2008
Last updated:15-07-2011
Warning! This plugin has not been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.
Rating, %:100
Rated by:1
Plugin URI:http://wordpress.org/extend/plugins/semisecur...
Total downloads:50 375
Active installs:100+
plugin download
Click to start download

Please note that I’ve moved away from WordPress for the time being. I have no plans to continue updating my plugins. If someone was thinking of forking this project, now would be the time.

Semisecure Login Reimagined increases the security of the login process by using a combination of public and secret-key encryption to encrypt the password on the client-side when a user logs in. JavaScript is required to enable encryption. It is most useful for situations where SSL is not available, but the administrator wishes to have some additional security measures in place without sacrificing convenience.

This plugin is a “re-imagining” of the original Semisecure Login (which used one-way MD5 hashing). This version works with the new phpass hashed passwords that WordPress uses, as well as maintaining backwards compatibility with the older (pre WordPress 2.5) MD5 hashed passwords. Theoretically, it will also work with any other hashing algorithm (because this plugin simply adds an extra layer in the process rather than trying to authenticate anything itself).

This plugin requires PHP to be compiled with openssl support, which is a pretty standard option for most hosts.

Additional Info

In general…

  • Semisecure Login Reimagined 3.2.x is tested to work with:
    • WP 3.1.x
    • PHP 4.3.x – 5.3.x
  • Semisecure Login Reimagined 3.1.x was tested to work with:
    • WP 2.8.x – 3.0.x
    • PHP 4.3.x – 5.3.x
  • Semisecure Login Reimagined 3.0.x was tested to work with:
    • WP 2.7.x – 2.9.x
    • PHP 4.3.x – 5.3.x
  • Semisecure Login Reimagined 2.x was tested to work with:
    • WP 2.2.x – 2.8.x
    • PHP 4.2.x – 5.2.x
  • Semisecure Login Reimagined 1.x was tested to work with:
    • WP 2.1.x – 2.7.x
    • PHP 4.3.x – 5.2.x

** See the readme.txt file for each version for more specific information


Screenshots
FAQ
ChangeLog